/*
	Function declarations for functions that are defined in INTPK and used both in
	INTPK and NIST.
*/

int PSAT(double TK, double *PMPA, double *RHOL, double *RHOV, int IWORK[], double PROPR[]);

int TSAT(double PMPA, double *TK, double *RHOL, double *RHOV, int IWORK[], double PROPR[]);

int DENS0(double *DOUT, double PMPA, double TK, double *DPD, int IWORK[], double PROPR[]);

void PROPS(int IWANT[], double TK, double RHO, double PROPSI[], double PROPR[], 
           int I2PHCK, int *I2PH, int ISCHK, int *ISFLG, int ICCHK, int *ICFLG, 
           int IPCHK[], int IPFLG[], int IGFLG, int NRI, double WAVRI[], 
           double RI[], int IRIFLG[]);

int SURF(double TK, double *SURFT);
